> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.erlc.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch server information

> Returns server status data. Additional fields can be included by setting query parameters to 'true'. All query parameters are optional.



## OpenAPI

````yaml https://api.erlc.gg/internal/docs/apispec.v2.json get /v2/server
openapi: 3.0.1
info:
  title: ER:LC Private Servers API (v2)
  version: 2.0.0
servers:
  - url: https://api.erlc.gg
    description: ER:LC Private Servers API
security: []
paths:
  /v2/server:
    get:
      summary: Fetch server information
      description: >-
        Returns server status data. Additional fields can be included by setting
        query parameters to 'true'. All query parameters are optional.
      parameters:
        - $ref: '#/components/parameters/AuthorizationHeader'
        - name: Players
          in: query
          description: Include player list in response
          required: false
          schema:
            type: boolean
            example: true
        - name: Staff
          in: query
          description: Include staff list (Admins, Mods, Helpers) in response
          required: false
          schema:
            type: boolean
            example: true
        - name: JoinLogs
          in: query
          description: Include join logs in response
          required: false
          schema:
            type: boolean
            example: true
        - name: Queue
          in: query
          description: Include queue data in response
          required: false
          schema:
            type: boolean
            example: true
        - name: KillLogs
          in: query
          description: Include kill logs in response
          required: false
          schema:
            type: boolean
            example: true
        - name: CommandLogs
          in: query
          description: Include command logs in response
          required: false
          schema:
            type: boolean
            example: true
        - name: ModCalls
          in: query
          description: Include moderator call logs in response
          required: false
          schema:
            type: boolean
            example: true
        - name: EmergencyCalls
          in: query
          description: Include emergency call logs in response
          required: false
          schema:
            type: boolean
            example: true
        - name: Vehicles
          in: query
          description: Include vehicle list in response
          required: false
          schema:
            type: boolean
            example: true
      responses:
        '200':
          description: Requested data. Optional fields only included when query=true.
          content:
            application/json:
              schema:
                type: object
                required:
                  - Name
                  - OwnerId
                  - CoOwnerIds
                  - CurrentPlayers
                  - MaxPlayers
                  - JoinKey
                  - AccVerifiedReq
                  - TeamBalance
                properties:
                  Name:
                    type: string
                    example: API Test
                  OwnerId:
                    type: integer
                  CoOwnerIds:
                    type: array
                    items:
                      type: integer
                  CurrentPlayers:
                    type: integer
                  MaxPlayers:
                    type: integer
                  JoinKey:
                    type: string
                    example: APIServer
                  AccVerifiedReq:
                    type: string
                    example: Disabled / Email / Phone/ID
                  TeamBalance:
                    type: boolean
                  Players:
                    type: array
                    description: >-
                      Only included when Players=true query parameter is
                      provided
                    items:
                      type: object
                      properties:
                        Team:
                          type: string
                          example: Sheriff
                        Player:
                          type: string
                          example: PlayerName:Id
                        Callsign:
                          type: string
                          nullable: true
                          example: 5D-550
                          description: >-
                            Only available if the player is on a non-civilian
                            team
                        Location:
                          type: object
                          properties:
                            LocationX:
                              type: number
                              example: 1084.965
                            LocationZ:
                              type: number
                              example: 2302.28
                            PostalCode:
                              type: string
                              example: '218'
                            StreetName:
                              type: string
                              example: Park Street
                            BuildingNumber:
                              type: string
                              example: '2083'
                        Permission:
                          type: string
                          example: >-
                            Normal / Server Administrator / Server Owner /
                            Server Moderator
                        WantedStars:
                          type: integer
                          example: 0
                  Staff:
                    type: object
                    description: Only included when Staff=true query parameter is provided
                    properties:
                      Admins:
                        type: object
                        description: >-
                          Map of Roblox user IDs (numeric string keys) to
                          usernames for server administrators
                        additionalProperties:
                          type: string
                          description: Player's Roblox username
                        example:
                          '54249787': Black_Hallow
                          '77573259': sli_ckk
                      Mods:
                        type: object
                        description: >-
                          Map of Roblox user IDs (numeric string keys) to
                          usernames for server moderators
                        additionalProperties:
                          type: string
                          description: Player's Roblox username
                        example:
                          '2': JohnDoe
                          '3': JaneDoe
                      Helpers:
                        type: object
                        description: >-
                          Map of Roblox user IDs (numeric string keys) to
                          usernames for server helpers
                        additionalProperties:
                          type: string
                          description: Player's Roblox username
                        example:
                          '168691872': Flat_bird
                  JoinLogs:
                    type: array
                    description: >-
                      Only included when JoinLogs=true query parameter is
                      provided
                    items:
                      type: object
                      properties:
                        Join:
                          type: boolean
                          example: true
                        Timestamp:
                          type: integer
                          example: 1704614400
                        Player:
                          type: string
                          example: PlayerName:Id
                  Queue:
                    type: array
                    description: Only included when Queue=true query parameter is provided
                    items:
                      type: integer
                  KillLogs:
                    type: array
                    description: >-
                      Only included when KillLogs=true query parameter is
                      provided
                    items:
                      type: object
                      properties:
                        Killed:
                          type: string
                          example: PlayerName:Id
                        Timestamp:
                          type: integer
                          example: 1704614400
                        Killer:
                          type: string
                          example: PlayerName:Id
                  CommandLogs:
                    type: array
                    description: >-
                      Only included when CommandLogs=true query parameter is
                      provided
                    items:
                      type: object
                      properties:
                        Player:
                          type: string
                          example: PlayerName:Id
                        Timestamp:
                          type: integer
                          example: 1704614400
                        Command:
                          type: string
                          example: ':h'
                  ModCalls:
                    type: array
                    description: >-
                      Only included when ModCalls=true query parameter is
                      provided
                    items:
                      type: object
                      properties:
                        Caller:
                          type: string
                          example: PlayerName:Id
                        Moderator:
                          type: string
                          nullable: true
                          example: PlayerName:Id
                        Timestamp:
                          type: integer
                          example: 1704614400
                  EmergencyCalls:
                    type: array
                    description: >-
                      Only included when EmergencyCalls=true query parameter is
                      provided
                    example:
                      - Team: Police
                        Caller: 168691872
                        Players: []
                        Position:
                          - -654.6
                          - 666.5
                        StartedAt: 1774216563
                        CallNumber: 400
                        Description: stg
                        PositionDescriptor: sdfsdfsdf
                    items:
                      type: object
                      properties:
                        Team:
                          type: string
                          example: Police
                        Caller:
                          type: integer
                          example: 168691872
                        Players:
                          type: array
                          items:
                            type: integer
                        Position:
                          type: array
                          items:
                            type: number
                          minItems: 2
                          maxItems: 2
                        StartedAt:
                          type: integer
                          example: 1774216563
                        CallNumber:
                          type: integer
                          example: 400
                        Description:
                          type: string
                          example: stg
                        PositionDescriptor:
                          type: string
                          example: sdfsdfsdf
                  Vehicles:
                    type: array
                    description: >-
                      Only included when Vehicles=true query parameter is
                      provided
                    items:
                      type: object
                      properties:
                        Name:
                          type: string
                          example: Redline Fire Engine
                        Owner:
                          type: string
                          example: Shawnyg
                        Plate:
                          type: string
                          example: ABC-123
                        Texture:
                          type: string
                          nullable: true
                          example: Livery Name
                        ColorHex:
                          type: string
                          example: '#ff4444'
                        ColorName:
                          type: string
                          example: Super Red
        '400':
          description: Bad request, such as duplicate query parameters.
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                properties:
                  code:
                    type: integer
                    example: 2001
                  message:
                    type: string
                    example: 'Duplicate query parameter: Players'
        '403':
          description: Unauthorized
        '500':
          description: Error communicating with Roblox
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Error communicating with Roblox, please try again.
                      [trace_123456]
                  code:
                    type: integer
                    example: 1001
      security:
        - ServerKeyAuth: []
components:
  parameters:
    AuthorizationHeader:
      name: Authorization
      in: header
      description: >-
        OPTIONAL. ONLY provide this header if you are creating a public app
        (used in many unique servers). Register your app at
        https://apidocs.erlc.gg/creating-public-applications.
      required: false
      schema:
        type: string
      example: 1b75858cf85cfa6e06ed417c44419fc06f93eab6d69af4eb3f570819a099ddc9e30ad347
  securitySchemes:
    ServerKeyAuth:
      type: apiKey
      in: header
      name: server-key
      description: REQUIRED ON ALL REQUESTS. Get your server key at https://erlc.link/sk

````